<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}" xmlns:sd="http://www.w3.org/1999/xhtml">


<head>
    <meta charset="UTF-8">
    <title>Bank balance</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_finance::sidebar_finance" th:remove="tag"> sidebar </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Bank balance
                </div>
            </div>
        </div>
        <div class="row">

            <div class="col-md-6">
                <form class="form-horizontal" th:action="@{/transaksi/saldo_bank/save}" th:object="${saldoBank}" method="post">
                    <div class="card">
                        <div class="card-header">
                            <div class="h4 pb-2 mb-4 text-dark">
                                Form
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="mb-3">
                                <label for="tanggal" class="form-label">Date </label>
                                <input type="date" class="form-control" id="tanggal" th:field="*{tanggal}" name="tanggalString" placeholder="Title">
                                <p th:if="${#fields.hasErrors('tanggal')}" th:errors="*{tanggal}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <div class="mb-3">
                                <label for="selectsatu" class="form-label">To</label>
                                <select class="form-select" id="selectsatu" name="instansi" th:field="*{instansi}" data-placeholder="Choose one thing" required>
                                    <option th:each="data : ${listInstansi}"
                                            th:text="${'('+ data.kode +')'  + '       -       ' +  data.nama}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                                <!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
                            </div>

                            <div class="mb-3">
                                <label for="selectdua" class="form-label">For use in period</label>
                                <select class="form-select" id="selectdua" name="instansi" th:field="*{periodeAnggaran}" data-placeholder="Choose one thing" required>
                                    <option th:each="data : ${listPeriodeAnggaran}"
                                            th:text="${'('+ data.getKodePeriodeAnggaran() +')'  + '       -       ' +  data.getNamaPeriodeAnggaran()}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                                <!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
                            </div>

                            <div class="mb-3">
                                <label for="description" class="form-label">Description</label>
                                <input type="text" class="form-control" id="description" th:field="*{description}" name="description" placeholder="description">
                                <p th:if="${#fields.hasErrors('description')}" th:errors="*{description}" class="text-danger"> Description Error</p>
                            </div>

                            <div class="mb-3">
                                <label for="amount" class="form-label">Amount</label>
                                <input type="number" class="form-control" id="amount" th:field="*{amount}" name="amount" placeholder="0">
                                <p th:if="${#fields.hasErrors('amount')}" th:errors="*{amount}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <input type="hidden" name="id" th:field="*{id}">
                        </div>
                        <div class="card-footer">
                            <a th:href="@{/transaksi/saldo_bank}" class="btn btn-light" style="--bs-btn-bg: #e8ecf1">Cancel</a>
                            <button type="submit" class="btn btn-primary pull-right" style="--bs-btn-bg: #15408d" id="simpan">Save</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </main>

</main>

</body>
</html>
